
#ifndef _WANPIPE_KERNEL_H
#define _WANPIPE_KERNEL_H

#ifdef __KERNEL__

# if defined (__BIG_ENDIAN_BITFIELD) 
# define WAN_BIG_ENDIAN 1
# undef  WAN_LITTLE_ENDIAN
# else
# undef  WAN_BIG_ENDIAN 
# define WAN_LITTLE_ENDIAN 1
# endif 

#define FREE_READ 1
#define FREE_WRITE 0

/*
#define stop_net_queue(a) 	netif_stop_queue(a) 
#define start_net_queue(a) 	netif_start_queue(a)
#define is_queue_stopped(a)	netif_queue_stopped(a)
#define wake_net_dev(a)	netif_wake_queue(a)
#define is_dev_running(a)	netif_running(a)
#define wan_dev_kfree_skb(a,b)	dev_kfree_skb_any(a)

#define tq_struct		work_struct

#define wan_call_usermodehelper(a,b,c)   call_usermodehelper(a,b,c,0)

#define pci_present() 	1

static inline void wan_schedule_task(struct tq_struct *tq)
{
	schedule_work(tq);
}
*/

typedef int irqreturn_t;

#if defined(__WINDOWS__)
#define IRQ_NONE        FALSE
#define IRQ_HANDLED     TRUE
#else
#define IRQ_NONE        (0)
#define IRQ_HANDLED     (1)
#endif
#define IRQ_RETVAL(x)   ((x) != 0)

#define WAN_IRQ_CALL(fn,args,ret)		ret = fn args
#define WAN_IRQ_RETURN(a) 				return a
#define WAN_IRQ_RETVAL					irqreturn_t
#define WAN_IRQ_RETVAL_DECL(ret)		irqreturn_t ret = WAN_IRQ_NONE
#define WAN_IRQ_RETVAL_SET(ret, val)	ret = val
#define WAN_IRQ_HANDLED 				IRQ_HANDLED
#define WAN_IRQ_NONE	 				IRQ_NONE


/*
#define mark_bh(a)

#define wan_clear_bit(a,b)  	    clear_bit((a),(unsigned long*)(b))
#define wan_set_bit(a,b)    	    set_bit((a),(unsigned long*)(b))
#define wan_test_bit(a,b)   	    test_bit((a),(unsigned long*)(b))
#define wan_test_and_set_bit(a,b)  test_and_set_bit((a),(unsigned long*)(b))
#define wan_test_and_clear_bit(a,b)  test_and_clear_bit((a),(unsigned long*)(b))

#define dev_init_buffers(a)
*/

#endif /* __KERNEL__ */
#endif /* _WANPIPE_KERNEL_H */
